<footer class="py-10 print:hidden">
  {{/* Footer menu */}}
  {{ if .Site.Params.footer.showMenu | default true }}
    {{ if .Site.Menus.footer }}
    <nav class="flex flex-row pb-4 text-base font-medium text-neutral-500 dark:text-neutral-400">
      <ul class="flex flex-col list-none sm:flex-row">
        {{ range .Site.Menus.footer }}
        <li class="flex mb-1 ltr:text-right rtl:text-left sm:mb-0 ltr:sm:mr-7 ltr:sm:last:mr-0 rtl:sm:ml-7 rtl:sm:last:ml-0">
          <a class="decoration-primary-500 hover:underline hover:decoration-2 hover:underline-offset-2" href="{{ .URL }}"
            title="{{ .Title }}">{{ .Name | markdownify | emojify }}</a>
        </li>
        {{ end }}
      </ul><div style="width:100%"></div>
      <ul class="flex flex-col list-none sm:flex-row text-neutral-300 dark:text-neutral-700">
        <a class="decoration-primary-500" style="text-align:right">Powered&nbspby&nbsp</a>
        <li class="flex mb-1 ltr:text-right rtl:text-left sm:mb-0 ltr:sm:mr-7 ltr:sm:last:mr-0 rtl:sm:ml-7 rtl:sm:last:ml-0">
          <a class="decoration-primary-500 hover:underline hover:decoration-2 hover:underline-offset-2" href="https://github.com/nunocoracao/blowfish"
            title="Blowfish">Blowfish</a>
            <a class="decoration-primary-500">&nbsp;and&nbsp;</a>
          <a class="decoration-primary-500 hover:underline hover:decoration-2 hover:underline-offset-2" href="https://gohugo.io/"
            title="Hugo">Hugo</a>
        </li>
      </ul>
    </nav>
    {{ end }}
  {{ end }}
  <div class="flex items-center justify-between">

    {{/* Copyright */}}
    {{ if .Site.Params.footer.showCopyright | default true }}
    <p class="text-sm text-neutral-500 dark:text-neutral-400">
      {{- with .Site.Params.copyright }}
      {{ . | emojify | markdownify }}
      {{- else }}
      &copy;
      {{ now.Format "2006" }}
      {{ .Site.Author.name | markdownify | emojify }}
      {{- end }}
    </p>
    {{ end }}

    {{/* Theme attribution */}}
    {{ if .Site.Params.footer.showThemeAttribution | default true }}
    <p class="text-xs text-neutral-500 dark:text-neutral-400">
      {{ $hugo := printf `<a class="hover:underline hover:decoration-primary-400 hover:text-primary-500"
        href="https://gohugo.io/" target="_blank" rel="noopener noreferrer">Hugo</a>`
      }}
      {{ $blowfish := printf `<a class="hover:underline hover:decoration-primary-400 hover:text-primary-500"
        href="https://blowfish.page/" target="_blank" rel="noopener noreferrer">Blowfish</a>` }}
      {{ i18n "footer.powered_by" (dict "Hugo" $hugo "Theme" $blowfish) | safeHTML }}
    </p>
    {{ end }}

  </div>
  <script>
    {{ if not .Site.Params.disableImageZoom | default true }}
    mediumZoom(document.querySelectorAll("img:not(.nozoom)"), {
      margin: 24,
      background: 'rgba(0,0,0,0.5)',
      scrollOffset: 0,
    })
    {{ end }}
  </script>
  {{ $jsProcess := resources.Get "js/process.js" }}
  {{ $jsProcess = $jsProcess | resources.Minify | resources.Fingerprint "sha512" }}
  <script type="text/javascript" src="{{ $jsProcess.RelPermalink }}" integrity="{{ $jsProcess.Data.Integrity }}"></script>
  {{/* Extend footer - eg. for extra scripts, etc. */}}
  {{ if templates.Exists "partials/extend-footer.html" }}
  {{ partialCached "extend-footer.html" . }}
  {{ end }}

  <script>
    $(window).on("load", initComparisons() )
  </script>
</footer>